Zentyal 3.3 NO PUBKEY error in apt-get update

Zentyal 3.3 NO PUBKEY error in apt-get update is a same generic error that we often face on Ubuntu. I install Zentyal 3.3 and when I run sudo apt-get update, It work fine but the end of the line, there was an error that;
W: GPG error: http://archive.zentyal.org 3.3 Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 8E9229F7E23F4777

Zentyal 3.3 NO PUBKEY error in apt-get update

Zentyal 3.3 NO PUBKEY error in apt-get update is exactly same error which we face in Ubuntu and this is not critical but it required some modification to get updates working. Bad packages sources lists or packages source list which is not resolvable to Debian system is most often considered a major cause of Zentyal update error.

Solution:

I have fixed this issue with below commands by adding “archive.zentyal.org".
  1. wget http://keys.zentyal.org/zentyal-3.3-archive.asc
  2. sudo apt-key add zentyal-3.3-archive.asc
  3. sudo apt-get update
Hope this will help you as well, if yes, please share it if you consider that helps you or show up in comments but please don’t forget to change -3.3 with your Zentyal Version.

No comments:

Post a Comment